<template>
  <qm-config-provider :autoInsertSpaceInButton="false">
    <a-spin
      :tip="appStore.loadingStatus.tip"
      :spinning="appStore.loadingStatus.spinning"
    >
      <div class="app-in">
        <router-view />
      </div>
    </a-spin>
  </qm-config-provider>
</template>

<script lang="ts" name="App" setup>
import { useAppStore, useUserStore } from "./store";
const appStore = useAppStore();
const userStore = useUserStore();
userStore.initHeatBeat();
if (userStore.userInfo) {
  userStore.startHeatBeat();
}
</script>
<style lang="less">
.app-in {
  width: 100vw;
  height: 100vh;
}
</style>
